curs_addwstr(3X)

NAME
addwstr, addnwstr, waddwstr, waddnwstr, mvaddwstr, mvaddnwstr, mvwaddwstr, mvwaddnwstr - add a string of wide characters to a curses window and advance cursor

SYNOPSIS
#include <curses.h>

int addwstr(const wchar_t *wstr);
int addnwstr(const wchar_t *wstr, int n);
int waddwstr(WINDOW *win, const wchar_t *wstr);
int waddnwstr(WINDOW *win, const wchar_t *wstr, int n);
int mvaddwstr(int y, int x, const wchar_t *wstr);
int mvaddnwstr(int y, int x, const wchar_t *wstr, int n);
int mvwaddwstr(WINDOW *win, int y, int x, const wchar_t *wstr);
int mvwaddnwstr(WINDOW *win, int y, int x, const wchar_t *wstr, int n);

DESCRIPTION
These routines write the characters of the (null-terminated) wchar_t character string wstr on the given window. It is similar to constructing a cchar_t for each wchar_t in the string, then calling wadd_wch for the resulting cchar_t.

The mv routines perform cursor movement once, before writing any characters. Thereafter, the cursor is advanced as a side-effect of writing to the window.

The four routines with n as the last argument write at most n wchar_t characters. If n is -1, then the entire string will be added, up to the maximum number of characters that will fit on the line, or until a terminating null is reached.

RETURN VALUES
All routines return the integer ERR upon failure and OK on success.

Functions with a "mv" prefix first perform a cursor movement using wmove, and return an error if the position is outside the window, or if the window pointer is null.

NOTES
Note that all of these routines except waddnwstr may be macros.

PORTABILITY
All these entry points are described in the XSI Curses standard, Issue 4.

SEE ALSO
curses(3X), curs_add_wch(3X)